complexType "ExchangeTradedFund"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId+, description?, currency?, exchangeId?, clearanceSystem?, definition?, relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*, constituentExchangeId*, fundManager?
</...>

Content Model Elements (11):

  clearanceSystem (defined in UnderlyingAsset complexType), constituentExchangeId, currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), exchangeId (defined in UnderlyingAsset complexType), | fundManager (in exchangeTradedFund), instrumentId (defined in IdentifiedAsset complexType), optionsExchangeId, relatedExchangeId, specifiedExchangeId

All Direct / Indirect Based Elements (1):

  exchangeTradedFund

Known Usage Locations

- As direct type of elements (1):
  exchangeTradedFund

Annotation
An exchange traded fund whose price depends on exchange traded constituents.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) ExchangeTraded (extension) ExchangeTradedCalculatedPrice (extension) ExchangeTradedFund

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ExchangeTradedFund"> <xsd:complexContent> <xsd:extension base="ExchangeTradedCalculatedPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="fundManager" type="xsd:string"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/11)
fundManager

  Type: | xsd:string, predefined, simple content

  Specifies the fund manager that is in charge of the fund.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fundManager" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.